Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRPen

All Known Subinterfaces:
  JRBoxPen

All Known Implementing Classes:
  JRBaseBoxBottomPen, JRBaseBoxLeftPen, JRBaseBoxPen, JRBaseBoxRightPen, JRBaseBoxTopPen, JRBasePen

    public interface JRPen

Version:
  $Id: JRPen.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `LINE_STYLE_DASHED` Deprecated. Replaced by `LineStyleEnum.DASHED`.
`static byte` | `LINE_STYLE_DOTTED` Deprecated. Replaced by `LineStyleEnum.DOTTED`.
`static byte` | `LINE_STYLE_DOUBLE` Deprecated. Replaced by `LineStyleEnum.DOUBLE`.
`static byte` | `LINE_STYLE_SOLID` Deprecated. Replaced by `LineStyleEnum.SOLID`.
`static java.lang.Float` | `LINE_WIDTH_0`
`static java.lang.Float` | `LINE_WIDTH_1`

Method Summary
`JRPen` | `clone(JRPenContainer penContainer)`
`java.awt.Color` | `getLineColor()` Gets the line color.
`java.lang.Byte` | `getLineStyle()` Deprecated. Replaced by `getLineStyleValue()`.
`LineStyleEnum` | `getLineStyleValue()` Indicates the line style used for this pen.
`java.lang.Float` | `getLineWidth()` Gets the line width used for this pen.
`java.awt.Color` | `getOwnLineColor()`
`java.lang.Byte` | `getOwnLineStyle()` Deprecated. Replaced by `getOwnLineStyleValue()`.
`LineStyleEnum` | `getOwnLineStyleValue()` Indicates the line style used for this pen.
`java.lang.Float` | `getOwnLineWidth()`
`JRStyleContainer` | `getStyleContainer()`
`void` | `setLineColor(java.awt.Color color)` Sets the line color.
`void` | `setLineStyle(byte lineStyle)` Deprecated. Replaced by `setLineStyle(LineStyleEnum)`.
`void` | `setLineStyle(java.lang.Byte lineStyle)` Deprecated. Replaced by `setLineStyle(LineStyleEnum)`.
`void` | `setLineStyle(LineStyleEnum lineStyleEnum)` Specifies the line style.
`void` | `setLineWidth(float lineWidth)` Sets the line width.
`void` | `setLineWidth(java.lang.Float lineWidth)`

Field Detail

### LINE_STYLE_SOLID

    static final byte LINE_STYLE_SOLID

  Deprecated. Replaced by `LineStyleEnum.SOLID`.
  See Also:
    Constant Field Values

### LINE_STYLE_DASHED

    static final byte LINE_STYLE_DASHED

  Deprecated. Replaced by `LineStyleEnum.DASHED`.
  See Also:
    Constant Field Values

### LINE_STYLE_DOTTED

    static final byte LINE_STYLE_DOTTED

  Deprecated. Replaced by `LineStyleEnum.DOTTED`.
  See Also:
    Constant Field Values

### LINE_STYLE_DOUBLE

    static final byte LINE_STYLE_DOUBLE

  Deprecated. Replaced by `LineStyleEnum.DOUBLE`.
  See Also:
    Constant Field Values

### LINE_WIDTH_0

    static final java.lang.Float LINE_WIDTH_0

### LINE_WIDTH_1

    static final java.lang.Float LINE_WIDTH_1

Method Detail

### getStyleContainer

    JRStyleContainer getStyleContainer()

### clone

    JRPen clone(JRPenContainer penContainer)

### getLineWidth

    java.lang.Float getLineWidth()

  Gets the line width used for this pen.

  Returns:
    line width

### getOwnLineWidth

    java.lang.Float getOwnLineWidth()

### setLineWidth

    void setLineWidth(float lineWidth)

  Sets the line width.

  Parameters:
    `lineWidth` - the line width

### setLineWidth

    void setLineWidth(java.lang.Float lineWidth)

### getLineStyle

    java.lang.Byte getLineStyle()

  Deprecated. Replaced by `getLineStyleValue()`.

### getOwnLineStyle

    java.lang.Byte getOwnLineStyle()

  Deprecated. Replaced by `getOwnLineStyleValue()`.

### setLineStyle

    void setLineStyle(byte lineStyle)

  Deprecated. Replaced by `setLineStyle(LineStyleEnum)`.

### setLineStyle

    void setLineStyle(java.lang.Byte lineStyle)

  Deprecated. Replaced by `setLineStyle(LineStyleEnum)`.

### getLineStyleValue

    LineStyleEnum getLineStyleValue()

  Indicates the line style used for this pen.

  Returns:
    a value representing one of the line style constants in `LineStyleEnum`

### getOwnLineStyleValue

    LineStyleEnum getOwnLineStyleValue()

  Indicates the line style used for this pen.

  Returns:
    a value representing one of the line style constants in `LineStyleEnum`

### setLineStyle

    void setLineStyle(LineStyleEnum lineStyleEnum)

  Specifies the line style.

  Parameters:
    `lineStyleEnum` - a value representing one of the line style constants in `LineStyleEnum`

### getLineColor

    java.awt.Color getLineColor()

  Gets the line color.

### getOwnLineColor

    java.awt.Color getOwnLineColor()

### setLineColor

    void setLineColor(java.awt.Color color)

  Sets the line color.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com